Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.ssh2put
Class JobEntrySSH2PUT

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.ssh2put.JobEntrySSH2PUT

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntrySSH2PUT

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines a SSH2 Put job entry.

Since:
  17-12-2007
Author:
  Samatar

Field Summary

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntrySSH2PUT()`
`JobEntrySSH2PUT(JobEntryBase jeb)`
`JobEntrySSH2PUT(String n)`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getAfterFTPPut()`
`String` | `getDestinationFolder()`
`long` | `getFileSize(com.trilead.ssh2.SFTPv3Client sftpClient, String filename)` Returns the file size of a file
`String` | `getFtpDirectory()`
`String` | `getHTTPProxyHost()`
`String` | `getHTTPProxyPassword()`
`String` | `getHTTPProxyPort()`
`String` | `getHTTPProxyUsername()`
`String` | `getKeyFilename()`
`String` | `getKeyFilepass()`
`String` | `getlocalDirectory()`
`String` | `getPassword()`
`List<ResourceReference>` | `getResourceDependencies(JobMeta jobMeta)` Get a list of all the resource dependencies that the step is depending on.
`String` | `getServerName()`
`String` | `getServerPort()`
`int` | `getTimeout()`
`String` | `getUserName()`
`String` | `getWildcard()`
`String` | `getXML()`
`boolean` | `isCacheHostKey()`
`boolean` | `isCreateDestinationFolder()`
`boolean` | `isCreateRemoteFolder()`
`boolean` | `isOnlyGettingNewFiles()`
`boolean` | `isUseBasicAuthentication()`
`boolean` | `isUseHTTPProxy()`
`boolean` | `isUsePublicKey()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setAfterFTPPut(String afterFtpPut)`
`void` | `setCacheHostKey(boolean cachehostkeyin)`
`void` | `setCreateDestinationFolder(boolean createDestinationFolder)`
`void` | `setCreateRemoteFolder(boolean createRemoteFolder)`
`void` | `setDestinationFolder(String destinationfolderin)`
`void` | `setFtpDirectory(String directory)`
`void` | `setHTTPProxyHost(String proxyhost)`
`void` | `setHTTPProxyPassword(String httpProxyPassword)`
`void` | `setHTTPProxyPort(String proxyport)`
`void` | `setHTTPProxyUsername(String proxyusername)`
`void` | `setKeyFilename(String keyFilename)`
`void` | `setKeyFilepass(String keyFilePass)`
`void` | `setlocalDirectory(String localDirectory)`
`void` | `setOnlyGettingNewFiles(boolean onlyGettingNewFiles)`
`void` | `setPassword(String password)`
`void` | `setServerName(String serverName)`
`void` | `setServerPort(String serverPort)`
`void` | `setTimeout(int timeout)`
`void` | `setUseBasicAuthentication(boolean useBasicAuthenticationin)`
`void` | `setUseHTTPProxy(boolean httpproxy)`
`void` | `setUsePublicKey(boolean publickey)`
`void` | `setUserName(String userName)`
`void` | `setWildcard(String wildcard)`
`boolean` | `sshDirectoryExists(com.trilead.ssh2.SFTPv3Client sftpClient, String directory)` Checks if a directory exists
`boolean` | `sshFileExists(com.trilead.ssh2.SFTPv3Client sftpClient, String filename)` Check existence of a file

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Constructor Detail

### JobEntrySSH2PUT

    public JobEntrySSH2PUT(String n)

### JobEntrySSH2PUT

    public JobEntrySSH2PUT()

### JobEntrySSH2PUT

    public JobEntrySSH2PUT(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getFtpDirectory

    public String getFtpDirectory()

  Returns:
    Returns the directory.

### setFtpDirectory

    public void setFtpDirectory(String directory)

  Parameters:
    `directory` - The directory to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### getAfterFTPPut

    public String getAfterFTPPut()

  Returns:
    Returns The action to do after transfer

### setAfterFTPPut

    public void setAfterFTPPut(String afterFtpPut)

  Parameters:
    `afterFtpPut` - The action to do after transfer

### setHTTPProxyPassword

    public void setHTTPProxyPassword(String httpProxyPassword)

  Parameters:
    `httpProxyPassword` - The HTTP proxy password to set.

### getHTTPProxyPassword

    public String getHTTPProxyPassword()

  Returns:
    Returns the password.

### setKeyFilepass

    public void setKeyFilepass(String keyFilePass)

  Parameters:
    `keyFilePass` - The key file pass to set.

### getKeyFilepass

    public String getKeyFilepass()

  Returns:
    Returns the key file pass.

### getServerName

    public String getServerName()

  Returns:
    Returns the serverName.

### setServerName

    public void setServerName(String serverName)

  Parameters:
    `serverName` - The serverName to set.

### setHTTPProxyHost

    public void setHTTPProxyHost(String proxyhost)

  Parameters:
    `proxyhost` - The httpproxyhost to set.

### getHTTPProxyHost

    public String getHTTPProxyHost()

  Returns:
    Returns the httpproxyhost.

### setKeyFilename

    public void setKeyFilename(String keyFilename)

  Parameters:
    `keyFilename` - The key filename to set.

### getKeyFilename

    public String getKeyFilename()

  Returns:
    Returns the key filename.

### getUserName

    public String getUserName()

  Returns:
    Returns the userName.

### setUserName

    public void setUserName(String userName)

  Parameters:
    `userName` - The userName to set.

### setHTTPProxyUsername

    public void setHTTPProxyUsername(String proxyusername)

  Parameters:
    `proxyusername` - The httpproxyusername to set.

### getHTTPProxyUsername

    public String getHTTPProxyUsername()

  Returns:
    Returns the userName.

### getWildcard

    public String getWildcard()

  Returns:
    Returns the wildcard.

### setWildcard

    public void setWildcard(String wildcard)

  Parameters:
    `wildcard` - The wildcard to set.

### getlocalDirectory

    public String getlocalDirectory()

  Returns:
    Returns the localDirectory.

### setlocalDirectory

    public void setlocalDirectory(String localDirectory)

  Parameters:
    `localDirectory` - The localDirectory to set.

### isOnlyGettingNewFiles

    public boolean isOnlyGettingNewFiles()

  Returns:
    Returns the onlyGettingNewFiles.

### setOnlyGettingNewFiles

    public void setOnlyGettingNewFiles(boolean onlyGettingNewFiles)

  Parameters:
    `onlyGettingNewFiles` - The onlyGettingNewFiles to set.

### setCacheHostKey

    public void setCacheHostKey(boolean cachehostkeyin)

  Parameters:
    `cachehostkeyin` - The cachehostkey to set.

### isCacheHostKey

    public boolean isCacheHostKey()

  Returns:
    Returns the cachehostkey.

### setUseHTTPProxy

    public void setUseHTTPProxy(boolean httpproxy)

  Parameters:
    `httpproxy` - The usehttpproxy to set.

### isUseHTTPProxy

    public boolean isUseHTTPProxy()

  Returns:
    Returns the usehttpproxy.

### isUseBasicAuthentication

    public boolean isUseBasicAuthentication()

  Returns:
    Returns the usebasicauthentication.

### setUseBasicAuthentication

    public void setUseBasicAuthentication(boolean useBasicAuthenticationin)

  Parameters:
    `useBasicAuthenticationin` - The use basic authentication flag to set.

### setCreateRemoteFolder

    public void setCreateRemoteFolder(boolean createRemoteFolder)

  Parameters:
    `createRemoteFolder` - The create remote folder flag to set.

### isCreateRemoteFolder

    public boolean isCreateRemoteFolder()

  Returns:
    Returns the create remote folder flag.

### setCreateDestinationFolder

    public void setCreateDestinationFolder(boolean createDestinationFolder)

  Parameters:
    `createDestinationFolder` - The create destination folder flag to set.

### isCreateDestinationFolder

    public boolean isCreateDestinationFolder()

  Returns:
    Returns the create destination folder flag

### setUsePublicKey

    public void setUsePublicKey(boolean publickey)

  Parameters:
    `publickey` - The publicpublickey to set.

### isUsePublicKey

    public boolean isUsePublicKey()

  Returns:
    Returns the usehttpproxy.

### getServerPort

    public String getServerPort()

### setServerPort

    public void setServerPort(String serverPort)

### setHTTPProxyPort

    public void setHTTPProxyPort(String proxyport)

### getHTTPProxyPort

    public String getHTTPProxyPort()

### setDestinationFolder

    public void setDestinationFolder(String destinationfolderin)

### getDestinationFolder

    public String getDestinationFolder()

### setTimeout

    public void setTimeout(int timeout)

  Parameters:
    `timeout` - The timeout to set.

### getTimeout

    public int getTimeout()

  Returns:
    Returns the timeout.

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Specified by:
    `execute` in interface `JobEntryInterface`

### sshFileExists

    public boolean sshFileExists(com.trilead.ssh2.SFTPv3Client sftpClient,
                                 String filename)

  Check existence of a file

  Parameters:
    `sftpClient` -
    `filename` -
  Returns:
    true, if file exists
  Throws:
    `Exception`

### sshDirectoryExists

    public boolean sshDirectoryExists(com.trilead.ssh2.SFTPv3Client sftpClient,
                                      String directory)

  Checks if a directory exists

  Parameters:
    `sftpClient` -
    `directory` -
  Returns:
    true, if directory exists

### getFileSize

    public long getFileSize(com.trilead.ssh2.SFTPv3Client sftpClient,
                            String filename)
                     throws Exception

  Returns the file size of a file

  Parameters:
    `sftpClient` -
    `filename` -
  Returns:
    the size of the file
  Throws:
    `Exception`

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `JobEntryInterface`
  Overrides:
    `getResourceDependencies` in class `JobEntryBase`
  Returns:
    a list of all the resource dependencies that the step is depending on

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD